# Interface methods for submodule: CurvatureFlowImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import DenseFiniteDifferenceImageFilterProxy as _DenseFiniteDifferenceImageFilterProxy


# Interface methods for class: CurvatureFlowImageFilter
class CurvatureFlowImageFilterProxy(_DenseFiniteDifferenceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetTimeStep(self, _arg: float) -> None:
		""""""
		...

	def GetTimeStep(self) -> float:
		""""""
		...

